|  | reflex::Pattern::Position Struct Reference updated Fri Dec 9 2016 |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
reflex::Pattern::Position Struct Reference

Finite state machine construction position information. More...

## Public Types
typedef uint64_t | value_type

## Public Member Functions
| Position ()
| Position (value_type k)
| Position (const Position &p)
| operator value_type () const
Position | iter (Index i) const
Position | ticked (bool b) const
Position | greedy (bool b) const
Position | anchor (bool b) const
Position | accept (bool b) const
Position | lazy (Location l) const
Position | pos (void) const
Location | loc (void) const
Index | accepts (void) const
Index | iter (void) const
bool | ticked (void) const
bool | greedy (void) const
bool | anchor (void) const
bool | accept (void) const
Location | lazy (void) const

## Public Attributes
value_type | k

## Static Public Attributes
static const value_type | NPOS = static_cast<value_type>(-1LL)
static const value_type | TICKED = 1LL << 44
static const value_type | GREEDY = 1LL << 45
static const value_type | ANCHOR = 1LL << 46
static const value_type | ACCEPT = 1LL << 47

## Detailed Description

Finite state machine construction position information.

## Member Typedef Documentation

typedef uint64_t reflex::Pattern::Position::value_type

## Constructor & Destructor Documentation

reflex::Pattern::Position::Position | ( |  | ) |
| inline

reflex::Pattern::Position::Position | ( | value_type | k | ) |
| inline

reflex::Pattern::Position::Position | ( | const Position & | p | ) |
| inline

## Member Function Documentation

Position reflex::Pattern::Position::accept | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::accept | ( | void |  | ) | const
| inline

Index reflex::Pattern::Position::accepts | ( | void |  | ) | const
| inline

Position reflex::Pattern::Position::anchor | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::anchor | ( | void |  | ) | const
| inline

Position reflex::Pattern::Position::greedy | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::greedy | ( | void |  | ) | const
| inline

Position reflex::Pattern::Position::iter | ( | Index | i | ) | const
| inline

Index reflex::Pattern::Position::iter | ( | void |  | ) | const
| inline

Position reflex::Pattern::Position::lazy | ( | Location | l | ) | const
| inline

Location reflex::Pattern::Position::lazy | ( | void |  | ) | const
| inline

Location reflex::Pattern::Position::loc | ( | void |  | ) | const
| inline

reflex::Pattern::Position::operator value_type | ( |  | ) | const
| inline

Position reflex::Pattern::Position::pos | ( | void |  | ) | const
| inline

Position reflex::Pattern::Position::ticked | ( | bool | b | ) | const
| inline

bool reflex::Pattern::Position::ticked | ( | void |  | ) | const
| inline

## Member Data Documentation

const value_type reflex::Pattern::Position::ACCEPT = 1LL << 47
| static

const value_type reflex::Pattern::Position::ANCHOR = 1LL << 46
| static

const value_type reflex::Pattern::Position::GREEDY = 1LL << 45
| static

value_type reflex::Pattern::Position::k

const value_type reflex::Pattern::Position::NPOS = static_cast<value_type>(-1LL)
| static

const value_type reflex::Pattern::Position::TICKED = 1LL << 44
| static

The documentation for this struct was generated from the following file:

- pattern.h